Package org.eclipse.microprofile.fault.tolerance.tck.util

# Class TCKConfig

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.util.TCKConfig

public class TCKConfig extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`RESOURCE_NAME`

## Method Summary

Modifier and Type
Method
Description
`double`
`getBaseMultiplier()`
`static TCKConfig`
`getConfig()`
`Duration`
`getTimeoutInDuration(int originalInMillis)`
`long`
`getTimeoutInMillis(long originalInMillis)`
`String`
`getTimeoutInStr(long originalInMillis)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RESOURCE_NAME

public static final String RESOURCE_NAME

See Also:
  - Constant Field Values

## Method Details

### getConfig

public static TCKConfig getConfig()

### getTimeoutInStr

public String getTimeoutInStr(long originalInMillis)

### getTimeoutInMillis

public long getTimeoutInMillis(long originalInMillis)

### getTimeoutInDuration

public Duration getTimeoutInDuration(int originalInMillis)

### getBaseMultiplier

public double getBaseMultiplier()